Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I keep getting a window asking me to upgrade to firefox 4.0 but my system on my MAC G5 does not allow this upgrade, I cannot close this window without qitting firefox and then restarting. I need to a fix for this....Thanks....Trevor Harvey

  • 4 replies
  • 3 have this problem
  • 1 view
  • Last reply by TonyE

more options

My system is Mac OS X version 10.4.11 is does not support firefox 4 although I keep getting this window asking me to upgrade

Chosen solution

Go to Tools | Options | Advanced and in the Update tab, uncheck the top option to check for updates to Firefox. See Update Tab

Read this answer in context 👍 0

All Replies (4)

more options

Chosen Solution

Go to Tools | Options | Advanced and in the Update tab, uncheck the top option to check for updates to Firefox. See Update Tab

more options

Thanks for reply and this has removed the window. It just surprises me that Firefox 4 is not compatible with my G5 Mac maybe it has something to do with the change in processor to Intel and the subsequent updated Op. system.

regards....

more options

You're welcome.

Could you please click the "Solved It" button next to the post which solved the problem for you? This will help others searching for a solution to the same question.

As regards support for your G5 Mac, I would imagine that the updated OS is the culprit so to speak, rather than the processor.

more options

Firefox 4 requires at least OS X 10.5 and an Intel Mac. There is a third party version of Firefox 4 that runs on OS X 10.4/10.5 and PPC Macs, for details see http://www.floodgap.com/software/tenfourfox